Name: indi-apogee
Version: 1.0
Release: 1%{?dist}
Summary: The INDI driver for Apogee Alta (U & E) line of CCDs

Group: Development/Libraries
License: LGPLv2+
URL: http://indi.sourceforge.net/

Source0: http://downloads.sourceforge.net/indi/%{name}_%{version}.tar.gz
Patch0: indi-apogee-cfitsio.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: cmake libusb-devel libindi-static libapogee-devel libnova-devel
BuildRequires: cfitsio-devel zlib-devel

%description
The INDI (Instrument Neutral Distributed Interface) driver for Apogee 
Alta (U & E) line of CCDs.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%cmake
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB README
%{_bindir}/*
%{_datadir}/indi/*

%changelog
* Tue Feb 17 2009 Sergio Pascual <sergiopr at fedoraproject.org> -  1.0-1
- First version
